Bug 5192 - Add new index and search option for 658 curriculum field
Summary: Add new index and search option for 658 curriculum field
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P1 - high enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-01 13:30 UTC by Jane Wagner
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screen shot of advanced search (50.59 KB, image/jpeg)
2010-09-01 13:30 UTC, Jane Wagner
Details
patch file against current head (18.29 KB, patch)
2010-09-01 14:07 UTC, Jane Wagner
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jane Wagner 2010-09-01 13:30:20 UTC
Sponsored by Oyster River Cooperative School District

Creates new curriculum index for 658 subfields a,b,c and search option in Advanced search (under More Options).  Also modifies the installer files to make 658abc display in edit mode (they were hidden in the framework) and to create the new indexes.

The 658 already displays as part of the staff/OPAC subject display line.
Comment 1 Jane Wagner 2010-09-01 13:30:55 UTC
Created attachment 2594 [details]
Screen shot of advanced search
Comment 2 Jane Wagner 2010-09-01 14:07:37 UTC Comment hidden (obsolete)
Comment 3 Jane Wagner 2010-09-01 14:07:56 UTC
Patch file sent.
Comment 4 MJ Ray (software.coop) 2010-11-10 08:49:21 UTC
This bug is mentioned in:
Bug 5192 Enhancement to add new	index for 658 curriculum field http://lists.koha-community.org/pipermail/koha-patches/2010-October/012749.html
Comment 5 Jared Camins-Esakov 2011-03-17 14:03:18 UTC
I have tested this and it works in current Master. Closing.
Comment 6 Katrin Fischer 2011-03-17 14:59:57 UTC
I see in the patch file that the fileds are only available in english frameworks. To make this feature easier to use for a library it would be good to also add them to the translated files.
Comment 7 Katrin Fischer 2011-04-07 09:01:15 UTC
Patch has already been pushed to head and tested by Jared:
http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=433b77b750a155f50d9db4a2e6c9fdf4be6ed169

I will mark this as reopened, 'needs patch', because I think a follow up for the non-English frameworks would be nice.
Comment 8 Katrin Fischer 2014-05-17 11:34:09 UTC
As we are moving the framework translation to po files based on the English frameworks, I am closing this.